<?php 

include_once('../conexao.php');

$postjson = json_decode(file_get_contents('php://input'), true);

$buscar = '%' .@$_GET['buscar']. '%';

$query = $pdo->prepare("SELECT * from usuarios where nome LIKE '$buscar' or email LIKE '$buscar' order by id desc");

$query->execute();

$res = $query->fetchAll(PDO::FETCH_ASSOC);


for ($i=0; $i < count($res); $i++) { 

    $nivel = $res[$i]['nivel'];
    $senha = $res[$i]['senha'];
    if($nivel == 'Administrador'){
        $senha = '******';
    }else{
        $senha = $res[$i]['senha'];
    }

    $dados[] = array(
        'id' => $res[$i]['id'],
        'nome' => $res[$i]['nome'],        
        'email' => $res[$i]['email'],
        'senha' => $senha,
        'nivel' => $res[$i]['nivel'],
        'foto' => $res[$i]['foto'],
        'id_func' => $res[$i]['id_func'],
        'ativo' => $res[$i]['ativo'],
    );

}

if(count($res) > 0){
    $result = json_encode(array('success'=>true, 'resultado'=>$dados));
}else{
    $result = json_encode(array('success'=>false, 'resultado'=>'0'));
}

echo $result;

?>